## ros-humble-tlsf-cpp 0.13.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(tlsf_cpp)
if(WIN32 OR APPLE OR ANDROID)
  message(STATUS "tlsf allocator does not target Windows, OSX or Android, skipping...")
  return()
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rmw REQUIRED)
find_package(std_msgs REQUIRED)
find_package(tlsf REQUIRED)


add_library(tlsf_cpp INTERFACE)
target_include_directories(tlsf_cpp INTERFACE
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include/${PROJECT_NAME}>")
target_link_libraries(tlsf_cpp INTERFACE
  tlsf::tlsf)

add_executable(tlsf_allocator_example
  example/allocator_example.cpp)
target_link_libraries(tlsf_allocator_example
  rclcpp::rclcpp
  ${std_msgs_TARGETS}
  tlsf_cpp)

install(TARGETS tlsf_allocator_example
  DESTINATION bin)

ament_export_targets(export_tlsf_cpp)

ament_export_dependencies("tlsf")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  # get typesupport of rmw implementation to include / link against the corresponding interfaces

  macro(add_gtest)
    ament_add_gtest(test_tlsf${target_suffix} "test/test_tlsf.cpp" TIMEOUT 15
      ENV
      RCL_ASSERT_RMW_ID_MATCHES=${rmw_implementation}
      RMW_IMPLEMENTATION=${rmw_implementation})
    if(TARGET test_tlsf${target_suffix})
      target_compile_definitions(test_tlsf${target_suffix}
        PUBLIC "RMW_IMPLEMENTATION=${rmw_implementation}")
      target_link_libraries(test_tlsf${target_suffix}
        rclcpp::rclcpp
        ${std_msgs_TARGETS}
        tlsf_cpp)
    endif()
  endmacro()

  call_for_each_rmw_implementation(add_gtest)
endif()

ament_package()

install(DIRECTORY include/
  DESTINATION include/${PROJECT_NAME}
)

install(TARGETS tlsf_cpp EXPORT export_tlsf_cpp)

=== debian/changelog ===
ros-humble-tlsf-cpp (0.13.0-2bookworm) bookworm; urgency=high

  * Install includes to include/${PROJECT_NAME} (#114 <https://github.com/ros2/realtime_support/issues/114>)
  * Contributors: Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-tlsf-cpp (0.12.1-2bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 13 Jan 2022 16:00:00 -0000

ros-humble-tlsf-cpp (0.12.0-2bookworm) bookworm; urgency=high

  * Export modern CMake targets (#110 <https://github.com/ros2/realtime_support/issues/110>)
  * Remove the use of malloc hooks from the tlsf_cpp tests. (#109 <https://github.com/ros2/realtime_support/issues/109>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 16 Dec 2021 16:00:00 -0000

ros-humble-tlsf-cpp (0.11.0-2bookworm) bookworm; urgency=high

  * Add in the Apache license to tlsf_cpp. (#108 <https://github.com/ros2/realtime_support/issues/108>)
  * Contributors: Chris Lalancette

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-tlsf-cpp (0.10.1-2bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-tlsf-cpp (0.10.0-2bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 16 Jun 2020 16:00:00 -0000

ros-humble-tlsf-cpp (0.9.0-2bookworm) bookworm; urgency=high

  * avoid new deprecations (#92 <https://github.com/ros2/realtime_support/issues/92>)
  * code style only: wrap after open parenthesis if not in one line (#88 <https://github.com/ros2/realtime_support/issues/88>)
  * Contributors: Dirk Thomas, William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 29 Apr 2020 16:00:00 -0000

ros-humble-tlsf-cpp (0.8.2-2bookworm) bookworm; urgency=high

  * Fix clang thread safety warning (#86 <https://github.com/ros2/realtime_support/issues/86>)
  * disable intra process test until intra process manager fixed up (#84 <https://github.com/ros2/realtime_support/issues/84>)
  * Contributors: Anas Abou Allaban, William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 12 Nov 2019 16:00:00 -0000

ros-humble-tlsf-cpp (0.8.1-2bookworm) bookworm; urgency=high

  * Fix Intra-Process API (#80 <https://github.com/ros2/realtime_support/issues/80>)
  * Contributors: Alberto Soragna

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 22 Oct 2019 16:00:00 -0000

ros-humble-tlsf-cpp (0.8.0-2bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 25 Sep 2019 16:00:00 -0000

ros-humble-tlsf-cpp (0.7.1-2bookworm) bookworm; urgency=high

  * Changes to avoid deprecated API's (#77 <https://github.com/ros2/realtime_support/issues/77>)
  * Avoid deprecated publish signature (#76 <https://github.com/ros2/realtime_support/issues/76>)
  * Contributors: William Woodall

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-humble-tlsf-cpp (0.7.0-2bookworm) bookworm; urgency=high

  * Move away from deprecated rclcpp APIs (#74 <https://github.com/ros2/realtime_support/issues/74>)
  * Update for parameter idiom. (#70 <https://github.com/ros2/realtime_support/issues/70>)
  * Contributors: Emerson Knapp, Michael Carroll

 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 13 Apr 2019 16:00:00 -0000

ros-humble-tlsf-cpp (0.6.0-2bookworm) bookworm; urgency=high

  * Fix spacing to comply with uncrustify 0.67 (#67 <https://github.com/ros2/realtime_support/issues/67>)
  * Contributors: Mikael Arguedas

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 19 Nov 2018 16:00:00 -0000

ros-humble-tlsf-cpp (0.5.0-2bookworm) bookworm; urgency=high

  * Update the maintainer (#65 <https://github.com/ros2/realtime_support/issues/65>)
  * Comply with new rclcpp subscription templates (#64 <https://github.com/ros2/realtime_support/issues/64>)
  * Fix non return code issue for main() function (#63 <https://github.com/ros2/realtime_support/issues/63>)
  * initial_values in node constructor (#62 <https://github.com/ros2/realtime_support/issues/62>)
  * Add cli args to Node constructor (#61 <https://github.com/ros2/realtime_support/issues/61>)
  * Fix test_tlsf__rmw_opensplice_cpp (#59 <https://github.com/ros2/realtime_support/issues/59>)
  * Contributors: Chris Lalancette, Karsten Knese, Shane Loretz, cshen, michielb

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 26 Jun 2018 16:00:00 -0000

ros-humble-tlsf-cpp (0.4.0-2bookworm) bookworm; urgency=high

  * Update for rclcpp namespace removals (#58)
    
    Remove ::publisher:: namespace
    
    Remove node:: namespace
    
    Remove utilities:: namespace
  * Update style to match latest uncrustify (#57 <https://github.com/ros2/realtime_support/issues/57>)
  * 0.0.3
  * Add missing dependencies on rmw and std_msgs (#55 <https://github.com/ros2/realtime_support/issues/55>)
  * Bump version for package consistency within repo (#54 <https://github.com/ros2/realtime_support/issues/54>)
  * Use CMAKE_X_STANDARD and check compiler rather than platform
  * Pass namespace to rclcpp::Node constructors (#53 <https://github.com/ros2/realtime_support/issues/53>)
  * Use rmw implementation (#51 <https://github.com/ros2/realtime_support/issues/51>)
  * C++14 (#50 <https://github.com/ros2/realtime_support/issues/50>)
  * No need for test_depend if already exec_depend (#49 <https://github.com/ros2/realtime_support/issues/49>)
  * Consistent naming when using CMake variable for rmw implementation (#48 <https://github.com/ros2/realtime_support/issues/48>)
  * Fix spelling error in target suffix (#47 <https://github.com/ros2/realtime_support/issues/47>)
  * from ros2/rename_executable
  * Add tlsf prefix to allocator_example target (#46 <https://github.com/ros2/realtime_support/issues/46>)


=== debian/control ===
Source: ros-humble-tlsf-cpp
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclcpp, ros-humble-rmw, ros-humble-rmw-implementation-cmake <!nocheck>, ros-humble-std-msgs, ros-humble-tlsf, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-tlsf-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-ament-cmake, ros-humble-rclcpp, ros-humble-rmw, ros-humble-std-msgs, ros-humble-tlsf, ros-humble-ros-workspace
Description: C++ stdlib-compatible wrapper around tlsf allocator and ROS2 examples

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-tlsf-cpp//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-tlsf-cpp//opt/ros/humble/opt/tlsf_cpp/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
